### Method

# Adw NavigationView set_hhomogeneous

since: 1.7

#### Declaration [src]

    void
    adw_navigation_view_set_hhomogeneous (
      AdwNavigationView* self,
      gboolean hhomogeneous
    )

#### Description [src]

Sets `self` to be horizontally homogeneous or not.

If the view is horizontally homogeneous, it allocates the same width for all pages.

If it’s not, the view may change width when a different page becomes visible.

Available since: 1.7

Sets property | `Adw.NavigationView:hhomogeneous`

#### Parameters

`hhomogeneous`

  Type: `gboolean`

  Whether to make `self` horizontally homogeneous.